UUE(1)

NAME
uue, uuencode - encode a binary file to ASCII (e.g., for mailing)

SYNOPSIS
uue [-n] file [-]

OPTIONS

EXAMPLES

DESCRIPTION

Uuencode is a famous program that converts an arbitrary (usually binary) file to an encoding using only 64 ASCII characters. Uudecode converts it back to the original file. The uue and uud programs are the MINIX versions of these programs, and are compatible with the UNIX ones. The files produced can even be sent successfully over BITNET, which is notorious for mangling files. It is possible to have uue automatically split the encoded file up into small chunks. The output files then get the suffixes .uaa, .uab, etc., instead of .uue. When uud is given file.uaa to decode, it automatically includes the subsequent pieces. The encoding takes 3 bytes (24 bits) from the input file and renders it as 4 bytes in the output file.

SEE ALSO
btoa(1), uud(1).